Solución al error “No se pudo iniciar la aplicación; la configuración en paralelo no es correcta”

Publicado por el 19 Dic 2016
en ,   Un Comentario

Si, al ejecutar una aplicación en Windows, te has encontrado con un error que dice:

“No se pudo iniciar la aplicación; la configuración en paralelo no es correcta”

… entonces has llegado al sitio acertado, porque vamos a ver cómo corregirlo.

En este caso, el mensaje de error nos da suficientes pistas como para poder solventarlo, ya que dice:

“No se pudo iniciar la aplicación; la configuración en paralelo no es correcta. Consulte el registro de eventos de la aplicación o use la herramienta sxstrace.exe de la línea de comandos para obtener más detalles.”

Y vamos a hacer precisamente eso, lo que nos dice: revisar el registro de eventos para obtener más información sobre este error que nos sale al intentar ejecutar la aplicación. Y vemos lo siguiente:

Pues en este caso, con la información que nos muestra el registro de eventos, tenemos más que suficiente para saber cual es el problema y cómo resolverlo. Como vemos, el error dice:

“No se encontró el ensamblado dependiente Microsoft.VC90.MFC”

… lo cual quiere decir que nos faltan las librerías correspondientes a Microsoft Visual C++ 2008 (VC 9.0), y además, como indica en el mensaje de error, para la versión de 32 bits (processorArchitecture=”x86″).

Bien, pues ya lo tenemos todo. Para resolver el problema tan solo tenemos que ir a la web de Microsoft y descargar el paquete que nos instalará las librerías de Microsoft Visual C++ 2008 (versión 32 bits, x86). Puedes buscar la dirección en Google sin problemas, pero ten cuidado y descarga este tipo de software siempre desde la web de Microsoft, no desde sitios web de terceros.

En mi caso particular, que estoy usando a modo de ejemplo práctico, la librería que falta es Microsoft Visual C++ 2008 32 bits, pero en tu caso, o en cualquier otro, puede tratarse de otra librería u otra arquitectura. Dependiendo de lo que indique el mensaje de error, así será una u otra. En la página web https://support.microsoft.com/es-es/kb/2977003 puedes ver una equivalencia entre las versiones VCxx y la librería a la que corresponden:

Visual Studio 2008 (VC++ 9.0)
Visual Studio 2010 (VC++ 10.0)
Visual Studio 2012 (VC ++ 11.0)
Visual Studio 2013 (VC++ 12.0)

En esa página web ( Las últimas descargas soportadas para Visual C++ : https://support.microsoft.com/es-es/kb/2977003 ) también tenéis los enlaces directos a las descargas oficiales desde la web de Microsoft.

Y una vez instalada la librería que falte, el problema quedará resuelto.

# #

Un comentario

  1. tengo instalado C++ reditributable – x869.0,21022 -218 y 30729-6161 pero la camara Wed sigue sin funcionar

    Responder